docs

# SendRegularPoll

data class SendRegularPoll ( val chatId: ChatIdentifier , val question: String , val options: List < String >, val isAnonymous: Boolean = true, val isClosed: Boolean = false, val allowMultipleAnswers: Boolean = false, openPeriod: LongSeconds ? = null, closeDate: LongSeconds ?, val disableNotification: Boolean = false, val protectContent: Boolean = false, val replyToMessageId: MessageIdentifier ? = null, val allowSendingWithoutReply: Boolean ? = null, val replyMarkup: KeyboardMarkup ? = null) : SendPoll
Content copied to clipboard

## Constructors

SendRegularPoll
Link copied to clipboard
fun SendRegularPoll ( chatId: ChatIdentifier , question: String , options: List < String >, isAnonymous: Boolean = true, isClosed: Boolean = false, allowMultipleAnswers: Boolean = false, openPeriod: LongSeconds ? = null, closeDate: LongSeconds ?, disableNotification: Boolean = false, protectContent: Boolean = false, replyToMessageId: MessageIdentifier ? = null, allowSendingWithoutReply: Boolean ? = null, replyMarkup: KeyboardMarkup ? = null)
Content copied to clipboard

## Functions

method
Link copied to clipboard
open override fun method (): String
Content copied to clipboard

## Properties

allowMultipleAnswers
Link copied to clipboard
val allowMultipleAnswers : Boolean = false
Content copied to clipboard
allowSendingWithoutReply
Link copied to clipboard
open override val allowSendingWithoutReply : Boolean ? = null
Content copied to clipboard
chatId
Link copied to clipboard
open override val chatId : ChatIdentifier
Content copied to clipboard
closeInfo
Link copied to clipboard
open val closeInfo : ScheduledCloseInfo ?
Content copied to clipboard
disableNotification
Link copied to clipboard
open override val disableNotification : Boolean = false
Content copied to clipboard
isAnonymous
Link copied to clipboard
open override val isAnonymous : Boolean = true
Content copied to clipboard
isClosed
Link copied to clipboard
open override val isClosed : Boolean = false
Content copied to clipboard
options
Link copied to clipboard
open override val options : List < String >
Content copied to clipboard
protectContent
Link copied to clipboard
open override val protectContent : Boolean = false
Content copied to clipboard
question
Link copied to clipboard
open override val question : String
Content copied to clipboard
replyMarkup
Link copied to clipboard
open override val replyMarkup : KeyboardMarkup ? = null
Content copied to clipboard
replyToMessageId
Link copied to clipboard
open override val replyToMessageId : MessageIdentifier ? = null
Content copied to clipboard
requestSerializer
Link copied to clipboard
open override val requestSerializer : SerializationStrategy<*>
Content copied to clipboard
resultDeserializer
Link copied to clipboard
open override val resultDeserializer : DeserializationStrategy< ContentMessage < PollContent >>
Content copied to clipboard
type
Link copied to clipboard
open override val type : String
Content copied to clipboard